<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'osm',

    /*
     * Package.
     */
    'package'   => 'teams',

    /*
     * Modules.
     */
    'modules'   => ['team'],

    
    'team'       => [
        'model' => [
            'model'                 => \Osm\Teams\Models\Team::class,
            'table'                 => 'teams',
            'presenter'             => \Osm\Teams\Repositories\Presenter\TeamPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['title',  'venue'],
            'translatables'         => [],
            'upload_folder'         => 'teams/team',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Osm',
            'package'   => 'Teams',
            'module'    => 'Team',
        ],

    ],
];
