Lavalite package that provides team management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `osm/team`.

    "osm/team": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Osm\Team\Providers\TeamServiceProvider::class,

And also add it to alias

    'Team'  => Osm\Team\Facades\Team::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Osm\\TeamTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Osm\Team\Providers\TeamServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Osm\Team\Providers\TeamServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Osm\Team\Providers\TeamServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/team/{modulename}

**User**

    http://path-to-route-folder/user/team/{modulename}

**Public**

    http://path-to-route-folder/teams


### API endpoints

**List**

    http://path-to-route-folder/api/user/team/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/team/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/team/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/team/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/team/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/team/{modulename}/{slug}
    METHOD: GET